# Enum Class CSOpenTelemetryConfiguration.CSOTLPProtocol

java.lang.Object
java.lang.Enum<CSOpenTelemetryConfiguration.CSOTLPProtocol>
com.io7m.certusine.api.CSOpenTelemetryConfiguration.CSOTLPProtocol

All Implemented Interfaces:
  `Serializable, Comparable<CSOpenTelemetryConfiguration.CSOTLPProtocol>, Constable`

Enclosing class:
  `CSOpenTelemetryConfiguration`

public static enum CSOpenTelemetryConfiguration.CSOTLPProtocol extends Enum<CSOpenTelemetryConfiguration.CSOTLPProtocol>
The protocol used to deliver OpenTelemetry data.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HTTP`
  HTTP(s)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CSOpenTelemetryConfiguration.CSOTLPProtocol`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CSOpenTelemetryConfiguration.CSOTLPProtocol[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HTTP

    public static final CSOpenTelemetryConfiguration.CSOTLPProtocol HTTP
    HTTP(s)

- ## Method Details

  - ### values

    public static CSOpenTelemetryConfiguration.CSOTLPProtocol[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CSOpenTelemetryConfiguration.CSOTLPProtocol valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null